## Table of Contents

- [About](#about)
- [Quick Start](#quick-start)
- [Docs](#docs)

## About

VimsCode is an IDE with vim for beginner or expert

* VimsCode use arduino-cli, idf-esp and platform.io-cli for remplace VScode only in terminal 
* Very easy to use 
* Very easy to install
	
	![Example-picture](/pictures/image.png)

## Quick Start

1. Introduction:

	Installation requires [git, wget, flex, bison, gperf, python3, python3-venv, cmake, ninja-build, ccache, libffi-dev, libssl-dev, dfu-util, libusb-1.0-0] 
	```
	sudo apt update
	sudo apt install git, wget, flex, bison, gperf, python3, python3-venv, cmake, ninja-build, ccache, libffi-dev, libssl-dev, dfu-util, libusb-1.0-0
	```
2. Set up VimsCode

	git clone https://git.cohabit.fr/bastien/VimsCode.git 
	
	After clone don't forgot to rename "vimrc-conf" -> ".vimrc" and "/vim-conf" -> "/vim"

3. Install Plugins:

   Launch `vim` and run `:PluginInstall`

## Docs

1. Short-cute VimsCode

	<F2> Shows a vim note
	<F3> Shows the tree structure
	<F4> Shows the history of changes made
	<F5> Shows a terminal at the bottom
	<F6> Allows scrolling in the terminal
	<F7> Brings up a help site for vim and terminal
	<F8> created a new vim tab
	<F9> navigate between vim tabs

2. More Doc

https://projets.cohabit.fr/redmine/projects/accueil/wiki/Documentation_IDE_Vim
